Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.javaee5
Class InjectionTargetTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.javaee5.InjectionTargetTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, InjectionTargetType<T>

    public class InjectionTargetTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, InjectionTargetType<T>

This class implements the `injection-targetType` xsd type

Original Documentation:

An injection target specifies a class and a name within
that class into which a resource should be injected.
The injection target class specifies the fully qualified
class name that is the target of the injection. The
Java EE specifications describe which classes can be an
injection target.
The injection target name specifies the target within
the specified class. The target is first looked for as a
JavaBeans property name. If not found, the target is
looked for as a field name.
The specified resource will be injected into the target
during initialization of the class by either calling the
set method for the target property or by setting a value
into the named field.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`InjectionTargetTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`InjectionTargetTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getInjectionTargetClass()` Returns the `injection-target-class` element
`java.lang.String` | `getInjectionTargetName()` Returns the `injection-target-name` element
`InjectionTargetType<T>` | `removeInjectionTargetClass()` Removes the `injection-target-class` element
`InjectionTargetType<T>` | `removeInjectionTargetName()` Removes the `injection-target-name` element
`InjectionTargetType<T>` | `setInjectionTargetClass(java.lang.String injectionTargetClass)` If not already created, a new `injection-target-class` element with the given value will be created.
`InjectionTargetType<T>` | `setInjectionTargetName(java.lang.String injectionTargetName)` If not already created, a new `injection-target-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InjectionTargetTypeImpl

    public InjectionTargetTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node)

### InjectionTargetTypeImpl

    public InjectionTargetTypeImpl(T t,
                                   java.lang.String nodeName,
                                   org.jboss.shrinkwrap.descriptor.spi.Node node,
                                   org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setInjectionTargetClass

    public InjectionTargetType<T> setInjectionTargetClass(java.lang.String injectionTargetClass)

  If not already created, a new `injection-target-class` element with the given value will be created. Otherwise, the existing `injection-target-class` element will be updated with the given value.

  Specified by:
    `setInjectionTargetClass` in interface `InjectionTargetType<T>`
  Returns:
    the current instance of `InjectionTargetType`

### removeInjectionTargetClass

    public InjectionTargetType<T> removeInjectionTargetClass()

  Removes the `injection-target-class` element

  Specified by:
    `removeInjectionTargetClass` in interface `InjectionTargetType<T>`
  Returns:
    the current instance of `InjectionTargetType`

### getInjectionTargetClass

    public java.lang.String getInjectionTargetClass()

  Returns the `injection-target-class` element

  Specified by:
    `getInjectionTargetClass` in interface `InjectionTargetType<T>`
  Returns:
    the node defined for the element `injection-target-class`

### setInjectionTargetName

    public InjectionTargetType<T> setInjectionTargetName(java.lang.String injectionTargetName)

  If not already created, a new `injection-target-name` element with the given value will be created. Otherwise, the existing `injection-target-name` element will be updated with the given value.

  Specified by:
    `setInjectionTargetName` in interface `InjectionTargetType<T>`
  Returns:
    the current instance of `InjectionTargetType`

### removeInjectionTargetName

    public InjectionTargetType<T> removeInjectionTargetName()

  Removes the `injection-target-name` element

  Specified by:
    `removeInjectionTargetName` in interface `InjectionTargetType<T>`
  Returns:
    the current instance of `InjectionTargetType`

### getInjectionTargetName

    public java.lang.String getInjectionTargetName()

  Returns the `injection-target-name` element

  Specified by:
    `getInjectionTargetName` in interface `InjectionTargetType<T>`
  Returns:
    the node defined for the element `injection-target-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD